package com.ruoyi.test.seriver;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.ruoyi.test.domain.User;
import com.ruoyi.test.domain.Vo.UserVo;

import java.util.List;

public interface IUserService {
    //获取学生列表
    IPage<User> selectStudentList(int pagenum);
    //根据用户名查询学生用户
    IPage<User> selectStudent(int pagenum,String name);

    //绑定学生/老师/管理员用户信息
    int insertUser(User user);
    //
    List<User> selectStudentByZhid(Long zhid);

    //获取教师列表
    IPage<User> selectTeacherList(int pagenum);
    //根据用户名查询教师用户
    IPage<User> selectTeacher(int pagenum,String name);

    IPage<User> selectGlList(int pagenum);
    //根据用户名查询学生用户
    IPage<User> selectGl(int pagenum,String name);

    //通过账号查询用户id
    Long selectByzhid(Long zhid);

    User user(Long id);


}
